<img src="/assets/banner2.png" />

The universal React Native animation library, powered by Reanimated 3.

```jsx
<MotiView from={{ opacity: 0 }} animate={{ opacity: 1 }} />
```

# Documentation & Examples

- [Documentation](https://moti.fyi)
- [Installation](https://moti.fyi/installation)
- [Examples](https://moti.fyi/examples/hello-world)

## Next.js Conf

<img
  width="1779"
  alt="Screen Shot 2021-10-22 at 3 00 05 PM"
  src="https://user-images.githubusercontent.com/13172299/138509139-412b2d32-841b-4a7e-950e-f8721c1da17f.png"
/>

I spoke at at [Next.js Conf 2021](https://fernandorojo.co/conf) on October 26 about React Native + Next.js. [Watch the video](https://t.co/LkmxHXVz3K?amp=1) to see how we do it.

# Highlights

- Universal: works on all platforms
- 60 FPS animations on the native thread
- Mount/unmount animations, like `framer-motion`
- Powered by Reanimated 3
- Web support, out-of-the-box
- Expo support
- Intuitive API
- Variants
- Strong TypeScript support
- Highly-configurable animations
- Sequence animations
- Loop & repeat animations

# Preview

- [API](https://twitter.com/FernandoTheRojo/status/1348093995277299712)
- [Unmount animations with `exit`](https://twitter.com/FernandoTheRojo/status/1349884929765765123)
- [`exitBeforeEnter` animations](https://twitter.com/FernandoTheRojo/status/1351234878902333445)

# Follow

Follow me [on Twitter](https://twitter.com/fernandotherojo) to stay up to date.

# Sponsor

Please reach out to [Fernando Rojo](https://twitter.com/fernandotherojo) if you're interested in sponsoring Moti.

<a href="https://splitbee.io?ref=badge">
  <img src="https://splitbee-cdn.fra1.cdn.digitaloceanspaces.com/static/badge/splitbee-badge-dark.svg" alt="Analytics by Splitbee.io" />
</a>
